Bug 310551 - reboot failed after upgrade from F7
reboot failed after upgrade from F7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 05:58 EDT by cje
Modified: 2009-03-03 19:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 15:11:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade.log (27.92 KB, text/plain)
2007-10-23 12:09 EDT, cje
no flags Details
anaconda.log (20.02 KB, text/plain)
2007-10-23 12:10 EDT, cje
no flags Details

  None (edit)
Description cje 2007-09-28 05:58:28 EDT
i upgraded an up to date F7 system.  i don't think it even has any extra repos.
 the upgrade was using nfs sources and it ran through just fine.

when i pressed 'reboot' i believe it rebooted just fine but immediately came up
with a blue rectangle on the screen.

this is an old laptop so it could just be a blank, blue screen in text mode. 
it's also possible it never got as far as the reboot and this was it still
attempting to reboot.  maybe it had just switched to an uninitialised VT while
it did something important to the filesystem (see below).

ctrl-alt-del seemed to get a response (a bit of disk activity) but didn't reboot
it.  pressing the power button did the same.  so i held down the power button to
power it off and then switched on again.

now it's got to grub and attempted to boot into "Fedora (2.6.22.5-76.fc7)" - the
new kernel isn't the default.  the old F7 kernel isn't there anymore so it fails
with "File not found".  i can press any key to get back to grub and select the
right kernel.  so far that appears to be booting just fine.

hmm.  it's doing a file system check because "/dev/VolGroup00/LogVol00 contains
a file system with errors".  possibly that's because of my power-off earlier.

the file system check failed.  running fsck 'manually'.  six of "Extended
attribute block .. reference count" needing an increment.  could be an selinux
thing?  was it relabeling on reboot?  six of "Free blocks count wrong for group
.." and a "Free blocks count wrong".  two "Free inodes count wrong for group.."
and a "Free inodes count wrong".  reboot!

got login screen (old, F7 one :-S) - logged in okay.
Comment 1 Jeremy Katz 2007-10-05 11:03:46 EDT
Can you attach /var/log/anaconda.log and /root/upgrade.log?
Comment 2 cje 2007-10-17 16:05:26 EDT
apologies for the delay on this.  i'll try to remember next time that laptop is
available.  i don't think i've trashed it again yet!  :-)
Comment 3 cje 2007-10-23 12:09:07 EDT
Created attachment 235171 [details]
upgrade.log
Comment 4 cje 2007-10-23 12:10:04 EDT
Created attachment 235181 [details]
anaconda.log

hi.  sorry again for the delay.  and thanks for the reminder.  hope these are
the right ones.
Comment 5 Bug Zapper 2008-11-26 02:52:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lumens 2008-11-26 12:00:04 EST
Your log file indicates that an extra repo was added, and that this repo was for 7.91.  Were you actually updating to a pre-release of F8?  If so, did you ever try upgrading to the final release?
Comment 7 cje 2009-03-03 19:47:31 EST
from anaconda log: "initrd=linux-install/F-8-Test2-x86/initrd.img"

so yes, looks like it's pre-release.

ah, looking at the bug history, bugzilla changed the version from f8test2 to just 8 ages ago.

fwiw i imagine i just fiddled with grub and then carried on with rawhide until f8 final appeared.

thanks for checking though - sorry for taking months to reply again.  roll on f11!  :-)

Note You need to log in before you can comment on or make changes to this bug.